Bug 1416020 - [abrt] WARNING: CPU: 2 PID: 1199 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x62/0x80 [NEEDINFO]
Summary: [abrt] WARNING: CPU: 2 PID: 1199 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x62/0x80
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a9db939cb9bacea8d5a9f20dbec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 11:24 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2019-01-09 12:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:20:49 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (85.65 KB, text/plain)
2017-01-24 11:24 UTC, Dominik 'Rathann' Mierzejewski
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Linux Kernel 194051 0 None None None 2019-03-14 10:53:12 UTC

Description Dominik 'Rathann' Mierzejewski 2017-01-24 11:24:04 UTC
Description of problem:
I don't know how this occured, I just found it in the logs on my server.

Additional info:
reporter:       libreport-2.7.2
WARNING: CPU: 2 PID: 1199 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x62/0x80
sysfs: cannot create duplicate filename '/devices/pci0000:00/0000:00:1c.5/0000:04:00.2/ppdev/parport1'
Modules linked in: intel_cstate snd_hda_codec_realtek(+) radeon(+) intel_uncore snd_hda_codec_generic iTCO_wdt snd_hda_codec_hdmi iTCO_vendor_support intel_rapl_perf snd_hda_intel ppdev snd_hda_codec mxm_wmi snd_hda_core snd_hwdep parport_serial(+) snd_seq i2c_algo_bit raid1 ttm drm_kms_helper snd_seq_device i2c_i801 i2c_smbus mei_me lpc_ich snd_pcm drm mei tpm_infineon parport_pc snd_timer parport snd soundcore ie31200_edac shpchp edac_core video wmi tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel uas serio_raw e1000e usb_storage r8169 ptp mii pps_core fjes
CPU: 2 PID: 1199 Comm: systemd-udevd Not tainted 4.9.4-100.fc24.x86_64 #1
Hardware name: MSI MS-7751/Z77A-GD65 (MS-7751), BIOS V10.11 10/09/2013
 ffff9d1541167640 ffffffffb13f3ddd ffff9d1541167690 0000000000000000
 ffff9d1541167680 ffffffffb10a202b 0000001f1426d000 ffff8ae31426d000
 ffff8ae3129a5d30 ffff8ae314363348 ffff8ae312313400 0000000006300001
Call Trace:
 [<ffffffffb13f3ddd>] dump_stack+0x63/0x86
 [<ffffffffb10a202b>] __warn+0xcb/0xf0
 [<ffffffffb10a20af>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffffb12de9df>] ? kernfs_path_from_node+0x4f/0x60
 [<ffffffffb12e21c2>] sysfs_warn_dup+0x62/0x80
 [<ffffffffb12e22a7>] sysfs_create_dir_ns+0x77/0x90
 [<ffffffffb13f671b>] kobject_add_internal+0x9b/0x320
 [<ffffffffb140057a>] ? vsnprintf+0x20a/0x500
 [<ffffffffb13f6ec5>] kobject_add+0x75/0xd0
 [<ffffffffb1547d73>] ? device_private_init+0x23/0x70
 [<ffffffffb1819ce2>] ? mutex_lock+0x12/0x30
 [<ffffffffb1547f11>] device_add+0x151/0x630
 [<ffffffffb15485e0>] device_create_groups_vargs+0xe0/0xf0
 [<ffffffffc0452060>] ? dead_read+0x10/0x10 [parport]
 [<ffffffffb1548661>] device_create+0x51/0x70
 [<ffffffffb180e901>] ? klist_next+0x21/0xf0
 [<ffffffffc04ba0b2>] pp_attach+0x32/0x40 [ppdev]
 [<ffffffffc0452077>] driver_check+0x17/0x20 [parport]
 [<ffffffffb1549207>] bus_for_each_drv+0x67/0xb0
 [<ffffffffc0452329>] attach_driver_chain+0x59/0x60 [parport]
 [<ffffffffc04523e9>] parport_announce_port+0xb9/0x100 [parport]
 [<ffffffffc04c6fbb>] parport_pc_probe_port+0x72b/0xcc0 [parport_pc]
 [<ffffffffb1446f5d>] ? do_pci_enable_device+0xdd/0x110
 [<ffffffffb1448439>] ? pci_enable_device_flags+0xe9/0x140
 [<ffffffffc03ba303>] parport_serial_pci_probe+0x173/0x369 [parport_serial]
 [<ffffffffb1449b65>] local_pci_probe+0x45/0xa0
 [<ffffffffb144afb3>] pci_device_probe+0x103/0x150
 [<ffffffffb154b743>] driver_probe_device+0x223/0x430
 [<ffffffffb154ba2f>] __driver_attach+0xdf/0xf0
 [<ffffffffb154b950>] ? driver_probe_device+0x430/0x430
 [<ffffffffb154912c>] bus_for_each_dev+0x6c/0xc0
 [<ffffffffb154ae8e>] driver_attach+0x1e/0x20
 [<ffffffffb154a8c0>] bus_add_driver+0x170/0x270
 [<ffffffffc045f000>] ? 0xffffffffc045f000
 [<ffffffffb154c350>] driver_register+0x60/0xe0
 [<ffffffffc045f000>] ? 0xffffffffc045f000
 [<ffffffffb144948c>] __pci_register_driver+0x4c/0x50
 [<ffffffffc045f01e>] parport_serial_init+0x1e/0x1000 [parport_serial]
 [<ffffffffb1002190>] do_one_initcall+0x50/0x180
 [<ffffffffb122f2b9>] ? kmem_cache_alloc_trace+0x159/0x1b0
 [<ffffffffb11c017a>] ? do_init_module+0x27/0x1ef
 [<ffffffffb11c01b2>] do_init_module+0x5f/0x1ef
 [<ffffffffb112fe01>] load_module+0x25b1/0x2980
 [<ffffffffb112c6e0>] ? __symbol_put+0x60/0x60
 [<ffffffffb1130343>] SYSC_init_module+0x173/0x190
 [<ffffffffb113047e>] SyS_init_module+0xe/0x10
 [<ffffffffb1003c17>] do_syscall_64+0x67/0x180
 [<ffffffffb181cd2b>] entry_SYSCALL64_slow_path+0x25/0x25

Potential duplicate: bug 1414656

Comment 1 Dominik 'Rathann' Mierzejewski 2017-01-24 11:24:15 UTC
Created attachment 1243879 [details]
File: dmesg

Comment 2 Dominik 'Rathann' Mierzejewski 2017-02-06 08:47:03 UTC
Still reproducible with 4.9.6-100.fc24.x86_64. Happens on every boot. Could be related to this device (iTec PCE2S1P, http://www.i-tec-europe.eu/?t=3&v=103):

04:00.0 Serial controller [0700]: MosChip Semiconductor Technology Ltd. PCIe 9912 Multi-I/O Controller [9710:9912] (prog-if 02 [16550])
	Subsystem: Device [a000:1000]
	Flags: fast devsel, IRQ 17
	I/O ports at c030 [size=8]
	Memory at f7c05000 (32-bit, non-prefetchable) [size=4K]
	Memory at f7c04000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [50] MSI: Enable- Count=1/8 Maskable- 64bit+
	Capabilities: [78] Power Management version 3
	Capabilities: [80] Express Legacy Endpoint, MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [800] Advanced Error Reporting
	Kernel driver in use: serial

04:00.1 Serial controller [0700]: MosChip Semiconductor Technology Ltd. PCIe 9912 Multi-I/O Controller [9710:9912] (prog-if 02 [16550])
	Subsystem: Device [a000:1000]
	Flags: fast devsel, IRQ 18
	I/O ports at c020 [size=8]
	Memory at f7c03000 (32-bit, non-prefetchable) [size=4K]
	Memory at f7c02000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [50] MSI: Enable- Count=1/8 Maskable- 64bit+
	Capabilities: [78] Power Management version 3
	Capabilities: [80] Express Legacy Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Kernel driver in use: serial

04:00.2 Parallel controller [0701]: MosChip Semiconductor Technology Ltd. PCIe 9912 Multi-I/O Controller [9710:9912] (prog-if 03 [IEEE1284])
	Subsystem: Device [a000:2000]
	Flags: fast devsel, IRQ 19
	I/O ports at c010 [size=8]
	I/O ports at c000 [size=8]
	Memory at f7c01000 (32-bit, non-prefetchable) [size=4K]
	Memory at f7c00000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Power Management version 3
	Capabilities: [80] Express Legacy Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Kernel driver in use: parport_serial
	Kernel modules: parport_serial

Comment 3 Justin M. Forbes 2017-04-11 14:58:07 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2017-04-28 17:20:49 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.